List CPU Products
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/cpu/products \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/cpu/products"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/cpu/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"cpuNum": 123,
"memorySize": 123,
"rootfsSize": 123,
"localVolumeSize": 123,
"availableDeploy": true,
"price": 123
}Product
List CPU Products
GET
/
gpu-instance
/
openapi
/
v1
/
cpu
/
products
List CPU Products
Request Headers
string
vereist
Enum:
application/jsonstring
vereist
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Filter by specified cluster ID. String, length limit: 0-255 characters.
string
Filter by product name (fuzzy match). String, length limit: 0-255 characters.
Response
string
vereist
CPU product ID.
string
vereist
CPU product name.
integer
Number of CPU cores.
integer
Memory size (GB).
integer
Root filesystem size (GB).
integer
Local disk size (GB).
boolean
Whether this product can be used to create an instance. Values:
- true: This product can be used to create an instance.
- false: Insufficient resources, cannot create an instance.
integer
Unit price of the product.
Laatst gewijzigd op 10 augustus 2026